package com.example.tomas.gpslocator;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.Rect;
import android.view.View;

public class DrawView extends View {
    Paint paint = new Paint();

    double lat;
    double lon;

    public DrawView(Context context, double lat, double lon) {
        super(context);
        this.lat = lat; //uložení souřadnic při vytvoření instance
        this.lon = lon;
    }


    @Override
    public void onDraw(Canvas canvas) {

        double sirka = getWidth() * 0.9;
        double vyska = sirka*0.5833;
        double lat_range = 2.42;
        double lon_range = 6.639;

        lon = lon - 12.169;
        lat = 51 - lat;

        double zakresLon = (lon/lon_range) * sirka ;
        double zakresLat = (lat/lat_range) * vyska;

        int zakresLon2 = (int) zakresLon;
        int zakresLat2 = (int) zakresLat;

        //načtení mapy
        Bitmap pozadi= BitmapFactory.decodeResource(getResources(), R.drawable.mapa_sidla);

        //umístění mapy do canvas
        canvas.drawBitmap(pozadi, new Rect(0,0,5000,5000) , new Rect(0,0,(int)sirka,(int)vyska),paint);
        paint.setStrokeWidth(4);
        paint.setColor(Color.RED);

        //zakreslení polohy do mapy
        canvas.drawLine(zakresLon2-20, zakresLat2-20, zakresLon2+20, zakresLat2+20, paint);
        canvas.drawLine(zakresLon2+20, zakresLat2-20, zakresLon2-20, zakresLat2+20, paint);

    }
}
